Name:		pencil-planner
Version:	0.4.4b
Release:	%mkrel 9

Summary:	Traditional animation software
Group:		Graphics/Editors and Converters
License:	GPLv2
URL:		http://www.pencil-animation.org/index.php

Source0:	%{name}.tar.gz
Patch0:		pencil-planner-0.4.4b-git-fix_gcc_47_build.patch
Patch1:		pencil-planner-qreal.patch

BuildRequires:	phonon-devel 
BuildRequires:	qt4-devel 
BuildRequires:	ming-devel

Requires:	ming-utils

%description
Pencil is an animation/drawing software for Mac OS X, Windows, and Linux. 
It lets you create traditional hand-drawn animation (cartoon) using both 
bitmap and vector graphics. Pencil is free and open source. 

%prep
%setup -qn %{name}
%autopatch -p1

%build
%qmake_qt4
mkdir -p release/build
sed -e 's:%{qt4dir}/include/phonon:%{_prefix}/include/phonon:g' Makefile > Makefile.new
sed -e 's:-I%{_prefix}/include/phonon_compat::g' Makefile.new > Makefile

%make %{?smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/pixmaps,share/applications}
cp $RPM_BUILD_DIR/%{name}/release/Pencil $RPM_BUILD_ROOT/usr/bin/
cp $RPM_BUILD_DIR/%{name}/icons/pencil.png $RPM_BUILD_ROOT/usr/share/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Pencil Planner
GenericName=Animation/drawing
GenericName[ru]=Анимация/рисование
Comment=Traditional animation software
Comment[ru]=Традиционная анимационная программа
Exec=Pencil
Icon=pencil
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;
EOF

%files
%{_bindir}/Pencil
%{_datadir}/pixmaps/pencil.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Jul 30 2016 pterjan <pterjan> 0.4.4b-9.mga6
+ Revision: 1044079
- Fix build on arm

* Tue Feb 09 2016 umeabot <umeabot> 0.4.4b-8.mga6
+ Revision: 950959
- Mageia 6 Mass Rebuild

* Wed Nov 26 2014 alexl <alexl> 0.4.4b-7.mga5
+ Revision: 799338
- new desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4b-6.mga5
+ Revision: 749603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4b-5.mga5
+ Revision: 683401
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.4b-4.mga4
+ Revision: 521562
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 juancho <juancho> 0.4.4b-3.mga3
+ Revision: 391194
- Change RPM group
- Fix gcc 4.7 build error

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 27 2011 juancho <juancho> 0.4.4b-1.mga2
+ Revision: 149265
- Changed qmake call for appropiate %%qmake_qt4 macro
  Replaced hardcoded paths for macros
  Removed Version from .desktop file as it had wrong value and it's optional.

  + vaci0 <vaci0>
    - imported package pencil-planner

